# eoPropGAGenOp< EOT > Class Template Reference

*************************************************************************** eoPropGAGenOp (for Simple GA, but Proportional) choice between Crossover, mutation or cloining with respect to given relatve weights More...

`#include <eoPropGAGenOp.h>`

Inheritance diagram for eoPropGAGenOp< EOT >:

List of all members.

## Public Member Functions

| eoPropGAGenOp (double _wClone, eoQuadOp< EOT > &_cross, double _wCross, eoMonOp< EOT > &_mut, double _wMut)
| Ctor from * weight of clone * crossover (with weight) * mutation (with weight).
virtual void | apply (eoPopulator< EOT > &_pop)
| do the job: delegate to op
virtual unsigned | max_production (void)
| inherited from eoGenOp
virtual std::string | className () const

## Private Attributes

double | wClone
eoQuadOp< EOT > & | cross
double | wCross
eoMonOp< EOT > & | mut
double | wMut
eoProportionalOp< EOT > | propOp
eoMonCloneOp< EOT > | monClone

## Detailed Description

### template<class EOT>
class eoPropGAGenOp< EOT >

*************************************************************************** eoPropGAGenOp (for Simple GA, but Proportional) choice between Crossover, mutation or cloining with respect to given relatve weights

Definition at line 42 of file eoPropGAGenOp.h.

The documentation for this class was generated from the following file:

- eoPropGAGenOp.h